Subject: Re: [PATCH] of/mdio: Staticise !CONFIG_OF stubs

From: Mark Brown <[email-masked]>
Date: Thu, 11 Oct 2012 16:16:25 +0900

On Wed, Oct 10, 2012 at 10:38:50PM -0400, David Miller wrote:

> Did you actually try to compile this?

Yup, and the kernel did actually build.

> In file included from drivers/net/phy/mdio_bus.c:29:0:
> include/linux/of_mdio.h:29:12: warning: ‘of_mdiobus_register’ defined but not used [-Wunused-function]

> I'll fix this up, but test your changes please.

I'm afraid I missed all those in among the other warnings in net/, sorry
(I needed to do a full rebuild as it was a config change to fix up the
underlying error and I always build with sparse enabled which generates
a bunch of warnings in net/).